From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Mon, 11 Apr 2022 11:13:31 +0200
Subject: arm64: dts: imx8mq-librem5: change rear cam DT node name

In the mainline linux tree it's a convention to use "camera@address"
for the DT node name. Change that for the rear camera.

The orientation is encoded via the orientation property and can be
part of a label.
---
 arch/arm64/boot/dts/freescale/imx8mq-librem5-r2.dts | 4 ++--
 arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi   | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5-r2.dts b/arch/arm64/boot/dts/freescale/imx8mq-librem5-r2.dts
index 498aa46..f0bbc9a 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5-r2.dts
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5-r2.dts
@@ -27,8 +27,8 @@ &bq25895 {
 };
 
 &i2c4 {
-	/delete-node/ camera-rear@2d;
-	camera-rear@10 {
+	/delete-node/ camera@2d;
+	camera@10 {
 		compatible = "samsung,s5k3l6xx";
 		reg = <0x10>;
 		pinctrl-names = "default";
diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
index 53350ec..e5a7d3f 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
@@ -1365,7 +1365,7 @@ voice_coil_motor: vcm@c {
 	};
 
 	/* Samsung S5K3L6XX - 13MP Rear-Facing Camera */
-	camera-rear@2d {
+	camera@2d {
 		compatible = "samsung,s5k3l6xx";
 		reg = <0x2d>;
 		pinctrl-names = "default";
